/**********************************************/
// LOGO
.logo{
    height: 3.25rem;
    margin-left: 2rem
}


/**********************************************/
// SEARCH
.search{
    @include flexCenter;
    flex: 0 0 40%;

    @include respond(smallest) {
        order: 1;
        flex: 0 0 100%;
        height: 3.8rem;
        background-color: var(--color-grey-light-2);
    }

    &__input{
        font-family: inherit;
        font-size: inherit;
        color: inherit;
        background-color: var(--color-grey-light-2);
        border: none;
        padding: .7rem 2rem;
        border-radius: 100px;
        width: 90%;
        margin: -3.25rem;
        transition: all .2s;

        &:focus{
            outline: none;
            width: 100%;
            background-color: var(--color-grey-light-3);
        }

        &::-webkit-input-placeholder{
            font-weight: 100;
            color: var(--color-grey-light-4);
        }
    }

    &__input:focus + &__button{
        background-color: var(--color-grey-light-3);
    }

    &__button{
        border: none;
        background-color: var(--color-grey-light-2);

        &:focus{
            outline: none;
        }

        &:active{
            transform: translateY(2px);
        }
    }

    &__icon{
        height: 2rem;
        width: 2rem;
        fill: var(--color-grey-dark-3);
    }
}


/**********************************************/
// USER NAVIGATION
.user-nav{
    align-self: stretch;
    @include flexCenter;
    
    & > * {
        padding: 0 2rem;
        cursor: pointer;
        height: 100%;
        @include flexCenter;
    }

    & > *:hover {
        background-color: var(--color-grey-light-2);
    }

    &__icon-box{
        position: relative;
    }

    &__icon{
        height: 2.25rem;
        width: 2.25rem;
        fill: var(--color-grey-dark-2);
    }

    &__notif{
        font-size: .8rem;
        height: 1.75rem;
        width: 1.75rem;
        border-radius: 50%;
        background-color: var(--color-primary);
        color: var(--color-white);
        position: absolute;
        top: 1.5rem;
        right: 1.1rem;

        @include flexCenter;
    }

    &__user-photo{
        height: 3.75rem;
        border-radius: 50%;
        margin-right: 1rem;
    }

    &__user-name{
        color: var(--color-dark-grey-1);
    }
}